Skip to main content
Get integration definition
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/integrations/integrations/v1/definitions/{id} \
  --header 'Authorization: <api-key>'
{
  "integrationDefinition": {
    "featureFlag": "<string>",
    "integrationType": {
      "arm": {}
    },
    "key": "<string>",
    "revisions": [
      {
        "azureArmTemplate": {
          "templateUrl": "<string>"
        },
        "featureFlag": "<string>",
        "fields": [
          {
            "multiText": {
              "defaultValues": [
                "<string>"
              ],
              "options": [
                "<string>"
              ]
            },
            "allowedPattern": "<string>",
            "applicableIf": {
              "values": [
                {
                  "fieldName": "<string>",
                  "valuePattern": "<string>"
                }
              ]
            },
            "documentationReference": "<string>",
            "groupId": "<string>",
            "name": "<string>",
            "placeholder": "<string>",
            "predefined": true,
            "readonly": true,
            "required": true,
            "templateParamName": "<string>",
            "tooltip": "<string>",
            "upgradeNotice": "<string>",
            "visible": true
          }
        ],
        "groups": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "id": "<string>",
        "revisionDeploymentSupported": true,
        "upgradeInstructionsMd": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the integration definition.

Example:

"aws-sqs"

Query Parameters

include_testing_revision
boolean

Whether to include testing revisions in the response.

Response

This data structure represents a list of outgoing webhook types.

integrationDefinition
Integration definition · object

This data structure represents a definition of an integration.